//
// C++ Interface: kpgsqlexception
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGSQLEXCEPTION_H
#define KPGSQLEXCEPTION_H

#include <stdexcept>

// include files for Qt
#include <qstring.h>

/**
SQL Exception, contain info about SQL statement, that cause it

	@author Lumir Vanek <lvanek@users.sourceforge.net>
*/
class KPGSqlException : public std::runtime_error
{
public:
    KPGSqlException(const char* what, const QString & strSql);
    ~KPGSqlException() throw() {;}

    const QString & getSql() const { return m_strSql; }
protected:

    QString m_strSql;
};

#endif
